.TH "ZIP_ERROR_TO_STR" "3" "December 18, 2017" "NiH" "Library Functions Manual"
.nh
.if n .ad l
.SH "NAME"
\fBzip_error_to_str\fR
\- get string representation of zip error (obsolete interface)
.SH "LIBRARY"
libzip (-lzip)
.SH "SYNOPSIS"
\fB#include <zip.h>\fR
.sp
\fIint\fR
.br
.PD 0
.HP 4n
\fBzip_error_to_str\fR(\fIchar\ *buf\fR, \fIzip_uint64_t\ len\fR, \fIint\ ze\fR, \fIint\ se\fR);
.PD
.SH "DESCRIPTION"
The function
\fBzip_error_to_str\fR()
is deprecated; use
zip_error_init_with_code(3)
and
zip_error_strerror(3)
instead.
.PP
Replace
.nf
.sp
.RS 6n
char buf[BUFSIZE];
zip_error_to_str(buf, sizeof(buf), ze, se);
printf("%s", buf);
.RE
.fi
with
.nf
.sp
.RS 6n
zip_error_t error;
zip_error_init_with_code(&error, ze);
printf("%s", zip_error_strerror(&error));
zip_error_fini(&error);
.RE
.fi
.SH "SEE ALSO"
libzip(3),
zip_error_init_with_code(3),
zip_error_strerror(3)
.SH "HISTORY"
\fBzip_error_to_str\fR()
was added in libzip 0.6.
In libzip 0.10 the type of
\fIlen\fR
was changed from
\fIsize_t\fR
to
\fIzip_uint64_t\fR.
It was deprecated in libzip 1.0, use
\fBzip_error_init_with_code\fR()
and
\fBzip_error_strerror\fR()
instead.
.SH "AUTHORS"
Dieter Baron <\fIdillo@nih.at\fR>
and
Thomas Klausner <\fItk@giga.or.at\fR>
